<?php

defined('BASEPATH') OR exit('No direct script access allowed');

class Pusher extends CI_Controller {

    public function __construct() {
        parent::__construct();
    }

    public function sendTokenToServer() {
        $cliente_token  = $this->input->post("token");
        
        //<PREENCHER>
        $ambiente = PUSH_URL; 
        $chave = PUSH_CHAVE;
        $token = PUSH_TOKEN;
        $identificador = md5($cliente_token);
        $estado = (!empty($this->session->userdata("aluno")['estado']) ?$this->session->userdata("aluno")['estado']:'');
        //</PREENCHER>

        $this->load->library('user_agent');
        $tipoAcesso = $this->agent->is_mobile() ? "mobile":"web";

        $url = $ambiente."/cadastrar_cliente";

        $data = [
          "token"=>$token,
          "chave"=>$chave,
          "cliente_token"=>$cliente_token,
          "identificador"=>$identificador,
          "estado"=>$estado,
          "tipo_acesso"=>$tipoAcesso
        ];

        $ch = curl_init($url);
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
        curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

        $result = curl_exec($ch);
        curl_close($ch);
        echo $result;
        
        $this->associarAlunoTopico($identificador);
    }
    
    public function associarAlunoTopico($identificador) {

            $chaveAuth = PUSH_CHAVE;
            $tokenAuth = PUSH_TOKEN;
            $identificadorAluno = $identificador;
            $topico = "VISITANTES DO SITE AMAZÔNIA CURSOS";

            $data = [
                "token" => $tokenAuth,
                "chave" => $chaveAuth,
                "identificador" => $identificadorAluno,
                "topico" => $topico
            ];
            $ch = curl_init(PUSH_URL."associar_topico");
            curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
            curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
            $result = curl_exec($ch);
            curl_close($ch);
        
    }

}
